Перезапись конфигурационных переменных в Xinha

Дата публикации:
11.05.2010
Дата изменения:
23.07.2010
Всего просмотров:
851
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:P/RL:O/RC:C) = Base:10/Temporal:7.8
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
Xinha 0.x
Уязвимые версии: Xinha 0.95, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки при обработке конфигурационных переменных в сценарии config.inc.php для плагинов "ImageManager" и "ExtendedFileManager". Удаленный пользователь может перезаписать некоторые настройки, что позволит ему загрузить и выполнить произвольные PHP сценарии на системе с привилегиями Web сервера.

URL производителя: trac.xinha.org

Решение: Установите последнюю 0.96.1 версию с сайта производителя.

Ссылки: http://php-security.org/2010/05/10/mops-2010-020-xinha-wysiwyg-plugin-configuration-injection-vulnerability/index.html
Журнал изменений: 21.05.2010
Изменена секция «Решение».

или введите имя

CAPTCHA